%define	name	kapacity
%define	version	0.1
%define	release	1mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:  	Kapacity monitoring laptop's battery
Group: 		Graphical desktop/KDE
Url:		http://www.elektronikschule.de/~genannt/kapacity/index.html
License: 	GPL
Source0: 	http://www.elektronikschule.de/~genannt/kapacity/download/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.1-applnk-fixes.patch.bz2
Epoch:		1
Obsoletes:	kacpi
Provides:	kacpi
Buildroot: 	%_tmppath/%{name}-%{version}-buildroot
BuildRequires:	libqt3-devel kdelibs-devel libpng-devel XFree86-devel libjpeg-devel
BuildRequires:	libarts-devel zlib-devel libfam-devel libart_lgpl2-devel
#BuildRequires:	ImageMagick

%description
Kapacity is a KDE-program that shows the power informations about the Laptop's 
battery in a window, and can dock to the kicker, near the clock.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama\
		--enable-final
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl kapacity "Applications/Monitoring" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%{name}

%{__install} -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
convert $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun 
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/ka*
%{_menudir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-1mdk
- 0.1, new name and versioning, obsoletes old kacpi
- cleanups, spec file fixes
- fix missing comment and icon in .desktop file

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc7.2mdk
- Rebuild

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-0.rc7.1mdk
- 0.6.3rc7

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc3.1mdk
- 0.6.3

* Thu Oct 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch2 : disable messagebox

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- Update code

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- initial package

